#include "partition.h"
#include <bits/stdc++.h>

using namespace  std;

const int maxn=1e5+10;
const int mod=1e9+7;


std::vector<int> solve(std::vector<int> A)
{
    int n=A.size();
    vector<int>ans;
    sort(A.begin(),A.end());
    for (int i=0;i<n;i+=2) {
        ans.push_back(A[i]);
    }
    for (int i=1;i<n;i+=2) {
        ans.push_back(A[i]);
    }
    return ans;
}
